<?php 


if( !empty($_GET['s'])) {

    $args = array(
        'orderby'        => 'date',
        'post_status'    => 'publish',
        'post_type'      => esc_attr( $_GET['post_type'] ),
        's'              => esc_attr( $_GET['s'] ),
        'posts_per_page' => 30,
    );

    if( !empty( $_GET['product_cat'])  ) {

        $cats = explode(',', trim($_GET['product_cat'], ','));

        $sanitized = array_map(function ($val){

            return intval($val);

        }, $cats);

	    $args['tax_query'] = array(
		    array(
			    'taxonomy'      => 'product_cat',
			    'field' => 'term_id',
			    'terms'         => $sanitized,
			    'operator'      => 'IN'
		    )
	    );
    }

    $query = new WP_Query($args);
}

if( $query->have_posts()):
?>

<div class="shopengine-search-product">

    <?php 
        while ( $query->have_posts() ) : $query->the_post(); 
        $id         = esc_attr( get_the_ID() );
        $image_url  = get_the_post_thumbnail_url( $id );
        $product    = wc_get_product( $id );
        $price      = wc_price($product->get_price());
        $reg_price  = wc_price($product->get_regular_price());
    ?>

        <div class="shopengine-search-product__item">
            <div class="shopengine-search-product__item--image">
                <img src="<?php echo esc_url( $image_url ) ?>">
            </div>
            <div class="shopengine-search-product__item--content">
                <h4 class="shopengine-search-product__item--title">
                    <a href="<?php the_permalink() ?>"> <?php the_title() ?> </a>
                </h4>
                <div class="shopengine-product-rating">
                    <?php
                        if($product->get_rating_count() > 0){
                            woocommerce_template_loop_rating();
                        } else {
                            $rating_html  = '<div class="star-rating">';
                            $rating_html .= wc_get_star_rating_html( 0, 0 );
                            $rating_html .= '</div>';

                            echo wp_kses_post($rating_html);
                        }

                        // review count
                        $review_count = $product->get_review_count();
                        echo "<span class='rating-count'>(". $review_count .")</span>";
                    ?>
                </div>
                <div class="shopengine-search-product__item--price">
                    <?php if( !empty( $product->get_sale_price() )  ) : ?>
                        <del>
                            <span class="woocommerce-Price-amount amount">
                                <?php echo \Shopengine\Utils\Helper::kses( $reg_price ) ?>
                            </span>
                        </del>
                    <?php endif; ?>
                    <ins><span class="woocommerce-Price-amount amount"><?php echo \Shopengine\Utils\Helper::kses( $price ) ?> </span></ins>
                </div>
            </div>

            <a class="shopengine-search-more-btn" href="<?php echo get_the_permalink(); ?>"><i class="fas fa-chevron-right"></i></a>
        </div>

    <?php 

        endwhile; 
        wp_reset_query();
        wp_reset_postdata();
    
    ?>

    <div class="shopengine-search-product__item">
        <a class="shopengine-search-more-products" href="<?php echo get_the_permalink(get_option('woocommerce_shop_page_id')); ?>"><i class="fas fa-retweet"></i><?php echo esc_html__('More Products', 'shopengine'); ?></a>
    </div>

</div>

<?php

else: ?>
    <div class="shopengine-search-product">
        <div>
            <?php echo esc_html__('No result found', 'shopengine'); ?>
        </div>
    </div>
<?php

endif;
