
<div class="shopengine-filterable-product-wrap">
    <?php
        $uid        = [];
        $products   = [];
        $count      = 0;
    ?>
    <!-- -----------------------
    Filterable product navbar
    ------------------------- -->
    <div class="filter-nav">
        <ul>
            <?php if(!empty($settings['filter_content'])) : foreach($settings['filter_content'] as $key => $content) :
                
                // collect navbar label
                array_push( $uid, uniqid() );
                
                if($key == 0){
                    //collect all the products id added inito a nav item
                    $products = $content['product_list'];
                }
            ?>
            <li class="filter-nav-item">
                <a  href="#" 
                    class="filter-nav-link <?php echo esc_attr($key == 0 ? 'active' : ''); ?>" 
                    data-filter-uid="<?php echo esc_attr( $uid[$count] ); ?>" 
                    data-product-list='<?php echo !empty($content['product_list']) ? json_encode($content['product_list']) : ''; ?>'>
                    <?php echo esc_html($content['filter_label']); ?>
                </a>
            </li>

            <?php $count++; endforeach; endif; ?>
        </ul>
    </div>

    <!-- -----------------------
    Filterable product content
    ------------------------- -->
    <div class="filter-content">
        <div class="filter-content-row filtered-product-list active <?php  echo !empty($uid) ?  'filter-'.esc_attr($uid[0])  : '' ?>">
            <?php

                /*
                    -------------------------
                    arguments for the query
                    -------------------------
                */ 

                $args = array(
                    'post_type' => 'product',
                    'posts_per_page' => isset($settings['products_per_page']) ? $settings['products_per_page'] : 6,
                    'order'          => isset($settings['product_order']) ? $settings['product_order'] : 'DESC',
                    'post__in'  => $products,
                    'orderby'        => isset($settings['product_orderby']) ? $settings['product_orderby'] : 'date'
                );
                
                $view = [
                    'image'     => (!empty($settings['order-image']) ? $settings['order-image'] : 0),
                    'category'  => (!empty($settings['order-category']) ? $settings['order-category'] : 0),
                    'title'     => (!empty($settings['order-title']) ? $settings['order-title'] : 0),
                    'rating'    => (!empty($settings['order-rating']) ? $settings['order-rating'] : 0),
                    'price'     => (!empty($settings['order-price']) ? $settings['order-price'] : 0),
                    'description'   => (!empty($settings['order-description']) ? $settings['order-description'] : 0),
                    'buttons'       => (!empty($settings['order-buttons']) ? $settings['order-buttons'] : 0),
                ];


                
                // query start
                $query = new WP_Query($args);

                if($query->have_posts()) : while($query->have_posts()) : $query->the_post();
                                
                    $default_content = [
                        'image'     => 0,
                        'category'  => 0,
                        'title'     => 0,
                        'rating'    => 0,
                        'price'     => 0,
                        'description' => 0,
                        'buttons'     => 0,
                    ];

                    $content =  (!empty($view) ? $view : $default_content);
                    asort($content, SORT_NUMERIC);

                    if( $settings['shopengine_is_cats'] !== 'yes' ) unset($content['category']);
                    if( $settings['shopengine_is_details'] !== 'yes' ) unset($content['description']);
                    if( $settings['shopengine_is_product_rating'] !== 'yes' ) unset($content['rating']);


                    ?>
                    <div class='shopengine-single-product-item'>
                        <?php
                            foreach($content as $key => $value){
                                $function = '_product_' . $key;
                                \ShopEngine\Utils\Helper::$function($settings);
                            }
                        ?>
                        
                    </div>
                <?php endwhile; endif; wp_reset_postdata(); 

            ?>
        </div>
    </div>
</div>